# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/www-apps/trac/trac-0.12.2-r1.ebuild,v 1.1 2011/12/31 20:17:50 idl0r Exp $

EAPI=6
PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )

RPM_VER="3.1"
OPSI="opsi40"
SUSE="openSUSE_13.2"

inherit distutils-r1 eutils rpm

DESCRIPTION="opsi pxe configuration service"
HOMEPAGE="http://opsi.org"
LICENSE="GPL-2"
SRC_URI="http://download.opensuse.org/repositories/home:/uibmz:/opsi:/${OPSI}/${SUSE}/src/${P}-${RPM_VER}.src.rpm"
SLOT="0"

IUSE=""

KEYWORDS="~amd64 ~arm ~x86"

RDEPEND="dev-python/python-opsi
	net-ftp/opsi-atftp
	net-misc/opsi-linux-bootimage"
DEPEND="${RDEPEND}
	dev-python/setuptools"

src_install() {
	distutils_src_install

	newconfd "${FILESDIR}"/opsipxeconfd.confd opsipxeconfd
	newinitd "${FILESDIR}"/opsipxeconfd.initd opsipxeconfd

}
